Bug 1566423 - bootstrap.py should check that domain is in correct organization/location
Summary: bootstrap.py should check that domain is in correct organization/location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Bootstrap
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: Evgeni Golov
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 09:51 UTC by Jan Hutař
Modified: 2019-11-05 23:15 UTC (History)
6 users (show)

Fixed In Version: katello-client-bootstrap-1.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:53:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Katello katello-client-bootstrap issues 248 0 None closed bootstrap.py should check that domain is in correct organization/location 2020-08-31 12:23:05 UTC
Github Katello katello-client-bootstrap pull 249 0 None closed verify the domain is available in the org/location 2020-08-31 12:23:06 UTC
Red Hat Bugzilla 1566166 0 medium CLOSED unable to register client to freshly installed capsule on fresh katello 2021-02-22 00:41:40 UTC

Internal Links: 1566166

Description Jan Hutař 2018-04-12 09:51:09 UTC
Description of problem:
bootstrap.py should check that domain is in correct organization/location


Version-Release number of selected component (if applicable):
satellite-6.3.0.1-1.el7sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Have domain "example.com" created in Satellite, but without organization and location specified
2. Using bootstrap.py attempt to register host something.example.com:
python /root/bootstrap.py --server satellite-vm.example.com --activationkey 'ActivationKey' --download-method http --login 'admin' --password 'changeme' --hostgroup 'HostGroup' --location 'Default Location' --organization 'Default Organization' --operatingsystem 'RedHat 7.4' --skip-puppet --skip katello-agent --rex --force


Actual results:
Fails with:
[ERROR], [2018-04-12 08:52:12], EXITING: [/usr/sbin/subscription-manager register --org 'Default_Organization' --name 'c03-h03-r620container145.example.com' --activationkey 'ActivationKey'  --serverurl=https://satellite-vm.example.com:443/rhsm --baseurl=https://satellite-vm.example.com/pulp/repos --force] failed to execute properly.
Validation failed: Name must not include periods


Expected results:
Should check if domain is in correct organization / location and warn and advice to the user

Comment 8 Bryan Kearney 2018-10-16 18:53:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.